petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningCreate

Creates a partitioning context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningCreate(MPI_Comm comm,MatPartitioning *newp)

Collective on MPI_Comm Many br

### Input Parameter

comm -MPI communicator Many br

### Output Parameter

newp -location to put the context Many br

Many br

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningApply(), MatPartitioningDestroy(),
MatPartitioningSetAdjacency() Many br

Level:beginner
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html